org.eclipse.viatra.addon.validation.runtime

## Class ValidationPartListener

- java.lang.Object
- - org.eclipse.viatra.addon.validation.runtime.ValidationPartListener

- All Implemented Interfaces:
    org.eclipse.ui.IPartListener

      public class ValidationPartListener
      extends java.lang.Object
      implements org.eclipse.ui.IPartListener

  The PartListener is used to observe EditorPart close actions.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ValidationPartListener()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidationPartListener` | `getInstance()`
    `void` | `partActivated(org.eclipse.ui.IWorkbenchPart part)`
    `void` | `partBroughtToTop(org.eclipse.ui.IWorkbenchPart part)`
    `void` | `partClosed(org.eclipse.ui.IWorkbenchPart part)`
    `void` | `partDeactivated(org.eclipse.ui.IWorkbenchPart part)`
    `void` | `partOpened(org.eclipse.ui.IWorkbenchPart part)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationPartListener

          protected ValidationPartListener()

  - ### Method Detail

    - #### getInstance

          public static ValidationPartListener getInstance()

    - #### partActivated

          public void partActivated(org.eclipse.ui.IWorkbenchPart part)

      Specified by:
        `partActivated` in interface `org.eclipse.ui.IPartListener`

    - #### partBroughtToTop

          public void partBroughtToTop(org.eclipse.ui.IWorkbenchPart part)

      Specified by:
        `partBroughtToTop` in interface `org.eclipse.ui.IPartListener`

    - #### partClosed

          public void partClosed(org.eclipse.ui.IWorkbenchPart part)

      Specified by:
        `partClosed` in interface `org.eclipse.ui.IPartListener`

    - #### partDeactivated

          public void partDeactivated(org.eclipse.ui.IWorkbenchPart part)

      Specified by:
        `partDeactivated` in interface `org.eclipse.ui.IPartListener`

    - #### partOpened

          public void partOpened(org.eclipse.ui.IWorkbenchPart part)

      Specified by:
        `partOpened` in interface `org.eclipse.ui.IPartListener`